LoadEvent (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Class LoadEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.LoadEvent

All Implemented Interfaces:
  Serializable

    public class LoadEvent

extends AbstractEvent

Defines an event class for the loading of an entity.

See Also:
  Serialized Form

Field Summary
`static LockMode` | `DEFAULT_LOCK_MODE`

Constructor Summary
`LoadEvent(Serializable entityId, Object instanceToLoad, EventSource source)`
`LoadEvent(Serializable entityId, String entityClassName, boolean isAssociationFetch, EventSource source)`
`LoadEvent(Serializable entityId, String entityClassName, LockMode lockMode, EventSource source)`
`LoadEvent(Serializable entityId, String entityClassName, LockOptions lockOptions, EventSource source)`

Method Summary
`String` | `getEntityClassName()`
`Serializable` | `getEntityId()`
`Object` | `getInstanceToLoad()`
`LockMode` | `getLockMode()`
`LockOptions` | `getLockOptions()`
`boolean` | `getLockScope()`
`int` | `getLockTimeout()`
`Object` | `getResult()`
`boolean` | `isAssociationFetch()`
`void` | `setEntityClassName(String entityClassName)`
`void` | `setEntityId(Serializable entityId)`
`void` | `setInstanceToLoad(Object instanceToLoad)`
`void` | `setLockMode(LockMode lockMode)`
`void` | `setLockScope(boolean cascade)`
`void` | `setLockTimeout(int timeout)`
`void` | `setResult(Object result)`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_LOCK_MODE

    public static final LockMode DEFAULT_LOCK_MODE

Constructor Detail

### LoadEvent

    public LoadEvent(Serializable entityId,
                     Object instanceToLoad,
                     EventSource source)

### LoadEvent

    public LoadEvent(Serializable entityId,
                     String entityClassName,
                     LockMode lockMode,
                     EventSource source)

### LoadEvent

    public LoadEvent(Serializable entityId,
                     String entityClassName,
                     LockOptions lockOptions,
                     EventSource source)

### LoadEvent

    public LoadEvent(Serializable entityId,
                     String entityClassName,
                     boolean isAssociationFetch,
                     EventSource source)

Method Detail

### isAssociationFetch

    public boolean isAssociationFetch()

### getEntityId

    public Serializable getEntityId()

### setEntityId

    public void setEntityId(Serializable entityId)

### getEntityClassName

    public String getEntityClassName()

### setEntityClassName

    public void setEntityClassName(String entityClassName)

### getInstanceToLoad

    public Object getInstanceToLoad()

### setInstanceToLoad

    public void setInstanceToLoad(Object instanceToLoad)

### getLockOptions

    public LockOptions getLockOptions()

### getLockMode

    public LockMode getLockMode()

### setLockMode

    public void setLockMode(LockMode lockMode)

### setLockTimeout

    public void setLockTimeout(int timeout)

### getLockTimeout

    public int getLockTimeout()

### setLockScope

    public void setLockScope(boolean cascade)

### getLockScope

    public boolean getLockScope()

### getResult

    public Object getResult()

### setResult

    public void setResult(Object result)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.